summaryrefslogtreecommitdiffstats
path: root/system/ksar
diff options
context:
space:
mode:
Diffstat (limited to 'system/ksar')
-rw-r--r--system/ksar/README16
-rw-r--r--system/ksar/ksar.SlackBuild92
-rw-r--r--system/ksar/ksar.info10
-rw-r--r--system/ksar/slack-desc19
4 files changed, 137 insertions, 0 deletions
diff --git a/system/ksar/README b/system/ksar/README
new file mode 100644
index 0000000000..64752065ab
--- /dev/null
+++ b/system/ksar/README
@@ -0,0 +1,16 @@
+kSAR (GitHub) is a continuation of kSAR, a GUI for sysstat and acct
+
+It plots the graphs that are collected by sa/sar utilities from the
+sysstat and acct packages. This data collection is usually done
+with cron, and should be configured separately.
+
+I particular, the SlackBuild's author has the following in his
+crontab:
+
+```
+* * * * * /usr/lib64/sa/sa1 10 6 -S DISK
+0 0 * * * /usr/lib64/sa/sa1 --rotate
+```
+
+You need Java 8 or later to run this package. The slackbuild
+author uses zulu-openjdk11, but other versions might work.
diff --git a/system/ksar/ksar.SlackBuild b/system/ksar/ksar.SlackBuild
new file mode 100644
index 0000000000..ab63526cdf
--- /dev/null
+++ b/system/ksar/ksar.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/bash
+
+# Slackware build script for ksar
+
+# © Lockywolf, 2021
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=ksar
+TARNAM=ksar
+VERSION=${VERSION:-5.2.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+mkdir -p $PKG/usr/lib$LIBDIRSUFFIX/
+mkdir -p $PKG/usr/lib$LIBDIRSUFFIX/$PRGNAM
+mkdir -p $PKG/usr/bin
+
+cd $PKG/usr/lib$LIBDIRSUFFIX/$PRGNAM
+
+cat $CWD/$TARNAM-$VERSION.jar > ./$PRGNAM-$VERSION.jar
+printf "#!/usr/bin/env bash \n java -jar /usr/lib%s/%s/%s.jar" "$LIBDIRSUFFIX" "$PRGNAM" "$PRGNAM-$VERSION" > $PKG/usr/bin/$PRGNAM
+
+cd $PKG
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+chmod +x $PKG/usr/bin/$PRGNAM
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/ksar/ksar.info b/system/ksar/ksar.info
new file mode 100644
index 0000000000..166f4223ac
--- /dev/null
+++ b/system/ksar/ksar.info
@@ -0,0 +1,10 @@
+PRGNAM="ksar"
+VERSION="5.2.4"
+HOMEPAGE="https://github.com/vlsi/ksar/"
+DOWNLOAD="https://github.com/vlsi/ksar/releases/download/v5.2.4/ksar-5.2.4.jar"
+MD5SUM="b24c00e264aeffd8926406c591f6904e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="zulu-openjdk11"
+MAINTAINER="Lockywolf"
+EMAIL="for_sbo-kSAR_2021-12-02@lockywolf.net"
diff --git a/system/ksar/slack-desc b/system/ksar/slack-desc
new file mode 100644
index 0000000000..ca0f133415
--- /dev/null
+++ b/system/ksar/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ksar: ksar (Java-based GUI for sar/acct/sysstat)
+ksar:
+ksar: ksar lets you plot sar/acct/sysstat data in a GUI.
+ksar:
+ksar:
+ksar:
+ksar:
+ksar:
+ksar:
+ksar: Homepage: https://github.com/vlsi/ksar/
+ksar: